summaryrefslogtreecommitdiffstats
path: root/source/d/make/make.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-27 00:48:51 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-27 08:59:48 +0100
commit5b3e6348dd921536295352bf3d67679c14c39087 (patch)
tree9befb67346877e293b5ee06c0299d469bd2918b2 /source/d/make/make.SlackBuild
parentd2819b80a087624588330565e96333d8c83ae9ba (diff)
downloadcurrent-5b3e6348dd921536295352bf3d67679c14c39087.tar.gz
current-5b3e6348dd921536295352bf3d67679c14c39087.tar.xz
Mon Jan 27 00:48:51 UTC 202020200127004851
a/aaa_elflibs-15.0-x86_64-21.txz: Rebuilt. Upgraded: libisl.so.22.0.1. Added: libkeyutils.so.1.9. a/kernel-generic-5.4.15-x86_64-1.txz: Upgraded. a/kernel-huge-5.4.15-x86_64-1.txz: Upgraded. a/kernel-modules-5.4.15-x86_64-1.txz: Upgraded. a/pciutils-3.6.4-x86_64-1.txz: Upgraded. a/shadow-4.8.1-x86_64-1.txz: Upgraded. d/check-0.14.0-x86_64-1.txz: Upgraded. d/kernel-headers-5.4.15-x86-1.txz: Upgraded. d/make-4.2.1-x86_64-5.txz: Rebuilt. Drop back to make-4.2.1 since make-4.3 is breaking a few builds. We'll revisit it later after sources have caught up to it or regressions have been patched upstream. d/python-pip-20.0.2-x86_64-1.txz: Upgraded. k/kernel-source-5.4.15-noarch-1.txz: Upgraded. l/imagemagick-7.0.9_18-x86_64-1.txz: Upgraded. l/python-packaging-20.1-x86_64-1.txz: Upgraded. n/php-7.4.2-x86_64-3.txz: Rebuilt. php.ini: Added extension=gd and extension=zip. Thanks to avian. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/d/make/make.SlackBuild')
-rwxr-xr-xsource/d/make/make.SlackBuild14
1 files changed, 10 insertions, 4 deletions
diff --git a/source/d/make/make.SlackBuild b/source/d/make/make.SlackBuild
index 770e972ae..0ea16d1d0 100755
--- a/source/d/make/make.SlackBuild
+++ b/source/d/make/make.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=make
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf make-$VERSION
-tar xvf $CWD/make-$VERSION.tar.?z || exit 1
+tar xvf $CWD/make-$VERSION.tar.bz2 || exit 1
cd make-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,6 +77,12 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/make.guile30.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/make.glibc-2.27.glob.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/b552b05251980f693c729e251f93f5225b400714.patch.gz | patch -p1 --verbose || exit 1
+
+autoreconf -vif
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -127,7 +133,7 @@ fi
mkdir -p $PKG/usr/doc/make-$VERSION
cp -a \
- AUTHORS* COPYING* ChangeLog NEWS* README* \
+ AUTHORS COPYING* ChangeLog NEWS README* \
$PKG/usr/doc/make-$VERSION/
# If there's a ChangeLog, installing at least part of the recent history